
Redmine - Feature #12550

Edit Own/Assigned Issues

2012-12-10 00:10 - Francesco Trigger

Status: Closed Start date:  

Priority: Normal Due date: 2013-04-02

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: No feedback   

Description

Hi,

as i see in the roles and permissions, the rights can be set to edit Issues, actually i miss the option to let people beeing the author or

the assignee edit the issue, but not all the users in a group with that permission.

Is that possible?

Thanks

Francesco

Related issues:

Is duplicate of Redmine - Feature #29935: Edit authored issues and Edit assig... New

History

#1 - 2013-01-15 11:14 - Daniel Felix

- Status changed from New to Needs feedback

Hi,

I'm not sure what you mean with your request?

Currently you can assign edit rights per role. Those could be splitted by: All tickets, tickets the user is assigned to and tickets the user is the author.

#2 - 2013-03-19 16:53 - Dipan Mehta

This works as of Redmine 2.1.0

Basically, every fields and status change can be configured per every role. Additionally, however, more permissions can be granted if the user is

Assignee or Author. This should serve the purpose you are looking for!

Check  Administration > Workflow > Field Permissions 

#3 - 2013-03-19 17:21 - Daniel Felix

- Due date set to 2013-04-02

Please give Feedback if the described information solves your request.

I will set the due date to 2nd April. If there is no feedback until this date, this issue will be closed. Maybe you could give earlier feedback, such we

maybe could close this issue much earlier.

#4 - 2013-04-10 12:11 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Closing this as there is no feedback on this issue. We thing this is resolved in current releases.

#5 - 2018-11-08 15:27 - Go MAEDA

- Is duplicate of Feature #29935: Edit authored issues and Edit assigned issues in issue tracking permission added
#6 - 2022-01-19 14:22 - Maurizio Andres Baggio

Dipan Mehta wrote:

This works as of Redmine 2.1.0

Basically, every fields and status change can be configured per every role. Additionally, however, more permissions can be granted if the user is

Assignee or Author. This should serve the purpose you are looking for!

Check  Administration > Workflow > Field Permissions 

 Using Redmine 4.2.1, I cannot see the additional permission sections in the field permission tab, am I missing something? It only exists for status

transitions workflows. This would actually be really helpful if it existed for fields and to give people permission to edit fields only if they're assigned

to/they're the authors.

#7 - 2024-09-27 21:39 - Alexey Smirnov

You can use plugin https://www.redmine.org/plugins/redmine_extend

Plugin add permission "edit assigned issue"
